## r-cran-maps 2.0

=== src/Makefile ===
#-*- Makefile -*-
.SUFFIXES: .G .L .N .gon .line .name

PKGNAME = maps
CP = cp
ECHO = echo
RM = rm

OBJS = mapget.o		\
	smooth.o	\
	thin.o

GDATA = county.G state.G usa.G nz.G world.G world2.G italy.G france.G
LDATA = county.L state.L usa.L nz.L world.L world2.L italy.L france.L
NDATA = county.N state.N usa.N nz.N world.N world2.N italy.N france.N

.line.L:
	./Lmake 0 s b ${*}.line ${*}.linestats ../inst/mapdata/${*}.L

.gon.G:
	./Gmake b ${*}.gon ${*}.gonstats ../inst/mapdata/${*}.G ../inst/mapdata/${*}.L

.name.N:
	@$(CP) ${*}.name ../inst/mapdata/${*}.N

.PHONY: all gdata ldata ndata

all: gdata ndata $(PKGNAME)$(SHLIB_EXT)

gdata: Gmake ldata
	$(MAKE) $(GDATA)

ldata: Lmake world2.line
	$(MAKE) $(LDATA)

ndata: world2.line
	$(MAKE) $(NDATA)

$(PKGNAME)$(SHLIB_EXT): $(OBJS)
	$(R_HOME)/bin/R CMD SHLIB -o $(PKGNAME)$(SHLIB_EXT) $(OBJS)

world2.line: world.line
	@$(ECHO) "Converting world to world2"
	$(AWK) -f convert.awk < world.line > world2.line
	@$(CP) world.linestats world2.linestats
	@$(CP) world.gon world2.gon
	@$(CP) world.gonstats world2.gonstats
	@$(CP) world.name world2.name

clean:
	$(RM) -f $(OBJS) Gmake Lmake ../inst/mapdata/* world2.* $(PKGNAME).s[lo] $(PKGNAME).dylib

## r-cran-maps 2.1-3

=== debian/changelog ===
r-cran-maps (2.1-3-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 18 May 2010 17:10:17 -0500

r-cran-maps (2.1-2-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 25 Apr 2010 19:42:03 -0500

r-cran-maps (2.1-1-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 30 Mar 2010 20:01:29 -0500

r-cran-maps (2.1-0-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 01 Apr 2009 12:06:12 -0500

r-cran-maps (2.0-40-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 22 Apr 2008 21:11:11 -0500

r-cran-maps (2.0-39-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 06 Dec 2007 19:17:25 -0600

r-cran-maps (2.0-38-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 15 Sep 2007 22:15:33 -0500

r-cran-maps (2.0-37-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 11 Sep 2007 17:48:45 -0500

r-cran-maps (2.0-36-2) unstable; urgency=low

  * Always use /usr/bin/awk when building.  (Closes: #440326)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 03 Sep 2007 17:36:57 -0500

r-cran-maps (2.0-36-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 14 Jun 2007 13:55:34 -0500

r-cran-maps (2.0-33-1) unstable; urgency=low

  * New upstream release.
  * Update debian/watch.

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  3 Feb 2007 22:53:02 -0600

r-cran-maps (2.0-32-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  5 Oct 2006 02:18:47 -0500

r-cran-maps (2.0-31-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 13 Feb 2006 19:53:15 -0500

r-cran-maps (2.0-30-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 11 Jan 2006 04:10:26 -0500

r-cran-maps (2.0-27-2) unstable; urgency=low

  * Use mawk, even on platforms where gawk was present when r-base was
    built.  (Closes: #307683)

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  9 May 2005 01:05:19 -0500

r-cran-maps (2.0-27-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 29 Apr 2005 19:41:07 -0500

r-cran-maps (2.0-26-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 23 Jan 2005 05:03:51 -0600

r-cran-maps (2.0-25-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 21 Nov 2004 00:44:28 -0600

r-cran-maps (2.0-24-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 29 Oct 2004 16:40:37 -0500

r-cran-maps (2.0-23-2) unstable; urgency=low

  * Upload to unstable.

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  7 Oct 2004 23:52:37 -0500

r-cran-maps (2.0-23-1) experimental; urgency=low

  * New upstream release.
  * Build for R 2.0.0 beta.

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  2 Oct 2004 04:07:57 -0500

r-cran-maps (2.0-22-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 21 Jul 2004 00:48:04 -0500

r-cran-maps (2.0-21-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  4 Jun 2004 16:44:25 -0500

r-cran-maps (2.0-20-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 19 Apr 2004 18:53:25 -0500

r-cran-maps (2.0-15-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 17 Feb 2004 23:44:51 -0600

r-cran-maps (2.0-13-1) unstable; urgency=low

  * Initial Debian Release.  (Closes: #227670)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 14 Jan 2004 02:13:22 -0600

=== debian/control ===
Source: r-cran-maps
Section: gnu-r
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Build-Depends: debhelper (>> 7), r-base-dev (>> 2.7.0), cdbs
Standards-Version: 3.8.4

Package: r-cran-maps
Architecture: any
Depends: r-base-core (>> 2.7.0), ${shlibs:Depends}, ${misc:Depends}
Suggests: r-cran-mapproj, r-cran-mapdata
Description: GNU R support for producing geographic maps
 This package provides facilities for easily producing maps based on
 data sets in the GNU R statistical computing environment.  
 .
 The r-cran-maps package includes map data for the United States
 (including state and county-level maps), New Zealand, and a world
 map; additional maps (including a higher-resolution world map) are
 available in the suggested r-cran-mapdata package.
 .
 The suggested r-cran-mapproj package adds facilities for calculating
 geographic projections, which are used by mapmakers to compensate for
 the inaccuracies inherent in projecting a spheroid's surface onto a
 two-dimensional plane.

## r-cran-maps 2.1-4

=== debian/changelog ===
r-cran-maps (2.1-4-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 07 Jul 2010 03:48:50 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Build-Depends: debhelper (>> 7), r-base-dev (>> 2.7.0), cdbs
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 
 Package: r-cran-maps
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-car package
# Copyright 2003 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/langcore.mk

## We need the CRAN (upstream) name 
cranName	:= $(shell grep Package: DESCRIPTION | cut -f2 -d" ")
## and we need to build a Debian Policy-conformant lower-case package name
cranNameLC	:= $(shell echo $(cranName) | tr "[A-Z]" "[a-z]" | tr "." "-" )
## which we can use to build the package directory 
package		:= r-cran-$(cranNameLC)
## which we use for the to-be-installed-in directory
debRlib		:= $(CURDIR)/debian/$(package)/usr/lib/R/site-library

common-install-indep:: R_any_arch
common-install-arch:: R_any_arch

R_any_arch:
		dh_installdirs		usr/lib/R/site-library
		AWK=/usr/bin/awk R CMD INSTALL -l $(debRlib) .
		rm -vf $(debRlib)/R.css $(debRlib)/$(cranName)/COPYING

clean::
		(cd src; make clean)

=== debian/watch ===
version=2
http://cran.wustl.edu/src/contrib/maps_(.*)\.tar\.gz

## r-cran-maps 2.1-6

=== debian/changelog ===
r-cran-maps (2.1-6-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 06 May 2011 13:13:49 -0500

r-cran-maps (2.1-5-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 17 Jan 2011 14:41:52 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Build-Depends: debhelper (>> 7), r-base-dev (>> 2.7.0), cdbs
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 
 Package: r-cran-maps
 Architecture: any

## r-cran-maps 2.2

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.2-1
Date: 2011-11-03
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
        Enhancements by Thomas P Minka <surname@stat.cmu.edu>
Description: Display of maps.  Projection code and larger maps are in
             separate packages (mapproj and mapdata).
Depends: R (>= 2.10.0)
LazyLoad: yes
Suggests: mapproj
License: GPL-2
Maintainer: Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
Packaged: 2011-11-03 03:23:57 UTC; ray
Repository: CRAN
Date/Publication: 2011-11-03 11:48:16

## r-cran-maps 2.2-1

=== debian/changelog ===
r-cran-maps (2.2-1-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 04 Nov 2011 13:07:01 -0400

r-cran-maps (2.1-6-2) unstable; urgency=low

  * Rebuild for R 2.14.0.  (Closes: #646051).

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 20 Oct 2011 21:23:02 -0400

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Build-Depends: debhelper (>> 7), r-base-dev (>> 2.7.0), cdbs
+Build-Depends: debhelper (>> 7), r-base-dev (>= 2.14), cdbs
 Standards-Version: 3.9.2
 
 Package: r-cran-maps
 Architecture: any
-Depends: r-base-core (>> 2.7.0), ${shlibs:Depends}, ${misc:Depends}
+Depends: r-base-core (>= 2.14), ${shlibs:Depends}, ${misc:Depends}
 Suggests: r-cran-mapproj, r-cran-mapdata
 Description: GNU R support for producing geographic maps
  This package provides facilities for easily producing maps based on

## r-cran-maps 2.2-5

=== debian/changelog ===
r-cran-maps (2.2-5-1) unstable; urgency=low

  * New upstream release.
  * Finally use r-cran.mk.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 22 Mar 2012 14:19:33 -0400

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Build-Depends: debhelper (>> 7), r-base-dev (>= 2.14), cdbs
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: r-cran-maps
 Architecture: any
-Depends: r-base-core (>= 2.14), ${shlibs:Depends}, ${misc:Depends}
+Depends: ${R:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: r-cran-mapproj, r-cran-mapdata
 Description: GNU R support for producing geographic maps
  This package provides facilities for easily producing maps based on

## r-cran-maps 2.3

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.3-2
Date: 2013-03-13
Author: Original S code by Richard A. Becker and Allan R. Wilks.  R
        version by Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>.
        Enhancements by Thomas P Minka <tpminka@media.mit.edu>
Description: Display of maps.  Projection code and larger maps are in
        separate packages (mapproj and mapdata).
Depends: R (>= 2.10.0)
LazyLoad: yes
Suggests: mapproj (>= 1.2-0)
License: GPL-2
Maintainer: Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
Packaged: 2013-03-13 01:09:30 UTC; ray
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-03-13 07:24:49

## r-cran-maps 2.3-2

=== debian/changelog ===
r-cran-maps (2.3-2-1) unstable; urgency=low

  * New upstream release.
  * Rebuild for R 3.0.0.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 31 Mar 2013 20:36:19 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Build-Depends: debhelper (>> 7), r-base-dev (>= 2.14), cdbs
+Build-Depends: debhelper (>> 7), r-base-dev (>= 3.0), cdbs
 Standards-Version: 3.9.3
+Homepage: http://cran.r-project.org/package=maps
 
 Package: r-cran-maps
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-car package
# Copyright 2003 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/R/debian/r-cran.mk

clean::
		(cd src; make clean)

## r-cran-maps 2.3-7

=== debian/changelog ===
r-cran-maps (2.3-7-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 03 Jun 2014 10:05:29 -0400

r-cran-maps (2.3-6-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 25 Feb 2014 20:36:01 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Build-Depends: debhelper (>> 7), r-base-dev (>= 3.0), cdbs
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://cran.r-project.org/package=maps
 
 Package: r-cran-maps

## r-cran-maps 2.3-9

=== debian/changelog ===
r-cran-maps (2.3-9-1) unstable; urgency=medium

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 13 Nov 2014 10:07:10 -0500

## r-cran-maps 2.3-10

=== debian/changelog ===
r-cran-maps (2.3-10-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 14 Jul 2015 19:53:28 -0400

## r-cran-maps 3.0.2

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 3.0.2
Date: 2016-01-04
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg.
        Enhancements by Thomas P Minka and Alex Deckmyn.
Description: Display of maps.  Projection code and larger maps are in
             separate packages ('mapproj' and 'mapdata').
Depends: R (>= 2.14.0)
Imports: graphics, utils
LazyData: yes
Suggests: mapproj (>= 1.2-0), mapdata (>= 2.2-4)
License: GPL-2
Maintainer: Alex Deckmyn <alex.deckmyn@meteo.be>
NeedsCompilation: yes
Repository: CRAN
Packaged: 2016-01-04 08:40:28 UTC; dalex
Date/Publication: 2016-01-04 11:05:31

=== src/Makefile ===
#-*- Makefile -*-
.SUFFIXES: .G .L .N .gon .line .name

PKGNAME = maps
CP = cp
ECHO = echo
RM = rm -f
MKDIR = mkdir

OBJS = mapget.o		\
	smooth.o	\
	thin.o

GDATA = county.G state.G usa.G nz.G world.G world2.G italy.G france.G state.vbm.G \
        state.carto.G legacy_world.G legacy_world2.G
LDATA = county.L state.L usa.L nz.L world.L world2.L italy.L france.L state.vbm.L \
        state.carto.L legacy_world.L legacy_world2.L
NDATA = county.N state.N usa.N nz.N world.N world2.N italy.N france.N state.vbm.N \
        state.carto.N legacy_world.N legacy_world2.N


.line.L:
	@$(MKDIR) -p ../inst/mapdata
	./Lmake 0 s b ${*}.line ${*}.linestats ../inst/mapdata/${*}.L

.gon.G:
	./Gmake b ${*}.gon ${*}.gonstats ../inst/mapdata/${*}.G ../inst/mapdata/${*}.L

.name.N:
	@$(MKDIR) -p ../inst/mapdata
	@$(CP) ${*}.name ../inst/mapdata/${*}.N

.PHONY: all gdata ldata ndata

all: gdata ndata $(PKGNAME)$(SHLIB_EXT)

state.carto.L: state.carto.line state.carto.linestats Lmake
	@$(MKDIR) -p ../inst/mapdata
	./Lmake 0 p b state.carto.line state.carto.linestats ../inst/mapdata/state.carto.L

state.vbm.L: state.vbm.line state.vbm.linestats Lmake
	@$(MKDIR) -p ../inst/mapdata
	./Lmake 0 p b state.vbm.line state.vbm.linestats ../inst/mapdata/state.vbm.L

gdata: Gmake ldata
	$(MAKE) $(GDATA)

ldata: Lmake world2.line
	$(MAKE) $(LDATA)

ndata: world2.line
	$(MAKE) $(NDATA)

$(PKGNAME)$(SHLIB_EXT): $(OBJS)
	$(R_HOME)/bin/R CMD SHLIB -o $(PKGNAME)$(SHLIB_EXT) $(OBJS)

world2.line: world.line legacy_world.line
	@$(ECHO) "Converting world to world2"
	$(AWK) -f convert.awk < world.line > world2.line
	@$(CP) world.linestats world2.linestats
	@$(CP) world.gon world2.gon
	@$(CP) world.gonstats world2.gonstats
	@$(CP) world.name world2.name
	@$(ECHO) "Creating legacy world2 database"
	$(AWK) -f legacy_convert.awk < legacy_world.line > legacy_world2.line
	@$(CP) legacy_world.linestats legacy_world2.linestats
	@$(CP) legacy_world.gon legacy_world2.gon
	@$(CP) legacy_world.gonstats legacy_world2.gonstats
	@$(CP) legacy_world.name legacy_world2.name


clean:
	$(RM) $(OBJS) Gmake Lmake world2.* $(PKGNAME).s[lo] $(PKGNAME).dylib *.exe maps.dll symbols.rds
	$(RM) -r ../inst/mapdata ../libs
	$(RM) legacy_world2.*

=== debian/changelog ===
r-cran-maps (3.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 04 Jan 2016 18:57:27 -0500

r-cran-maps (3.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Include README.md, added in 3.0.0-x.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 05 Dec 2015 23:27:27 -0500

r-cran-maps (3.0.0-2-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 02 Oct 2015 23:05:33 -0400

r-cran-maps (2.3-11-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 07 Sep 2015 23:18:36 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Build-Depends: debhelper (>> 7), r-base-dev (>= 3.0), cdbs
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>> 9), r-base-dev (>= 3.0), cdbs
+Standards-Version: 3.9.6
 Homepage: http://cran.r-project.org/package=maps
 
 Package: r-cran-maps

=== debian/watch ===
version=2
http://cran.r-project.org/src/contrib/maps_(.*)\.tar\.gz

## r-cran-maps 3.1.0

=== debian/changelog ===
r-cran-maps (3.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 01 Mar 2016 20:02:01 -0500

## r-cran-maps 3.1.1

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 3.1.1
Date: 2016-07-19
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg.
        Enhancements by Thomas P Minka and Alex Deckmyn.
Description: Display of maps.  Projection code and larger maps are in
             separate packages ('mapproj' and 'mapdata').
Depends: R (>= 2.14.0)
Imports: graphics, utils
LazyData: yes
Suggests: mapproj (>= 1.2-0), mapdata (>= 2.2-4), sp, maptools
License: GPL-2
Maintainer: Alex Deckmyn <alex.deckmyn@meteo.be>
NeedsCompilation: yes
Repository: CRAN
Packaged: 2016-07-25 14:07:27 UTC; dalex
Date/Publication: 2016-07-27 18:47:42

=== debian/changelog ===
r-cran-maps (3.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 16 Aug 2016 20:55:56 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Build-Depends: debhelper (>> 9), r-base-dev (>= 3.0), cdbs
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://cran.r-project.org/package=maps
 
 Package: r-cran-maps

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 include /usr/share/R/debian/r-cran.mk
 
 clean::
-		(cd src; make clean)
+	-(cd src; make clean)

## r-cran-maps 3.2.0

=== debian/changelog ===
r-cran-maps (3.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Take over packaging into Debian Science team
  * Verified d/watch and express this by setting version=4
  * cme fix dpkg-control
  * convert from cdbs to dh-r
  * debhelper 10
  * DEP5
  * Document binary data files in debian/README.source

 -- Andreas Tille <tille@debian.org>  Thu, 07 Sep 2017 10:01:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,23 @@
 Source: r-cran-maps
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Chris Lawrence <lawrencc@debian.org>
 Section: gnu-r
 Priority: optional
-Maintainer: Chris Lawrence <lawrencc@debian.org>
-Build-Depends: debhelper (>> 9), r-base-dev (>= 3.0), cdbs
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10),
+               r-base-dev (>= 3.0),
+               dh-r
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/r-cran-maps.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-maps.git
 Homepage: http://cran.r-project.org/package=maps
 
 Package: r-cran-maps
 Architecture: any
-Depends: ${R:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Suggests: r-cran-mapproj, r-cran-mapdata
+Depends: ${R:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: GNU R support for producing geographic maps
  This package provides facilities for easily producing maps based on
  data sets in the GNU R statistical computing environment.

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/maps_@ANY_VERSION@@ARCHIVE_EXT@

## r-cran-maps 3.3.0

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 3.3.0
Date: 2018-04-03
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg.
        Enhancements by Thomas P Minka and Alex Deckmyn.
Description: Display of maps.  Projection code and larger maps are in
             separate packages ('mapproj' and 'mapdata').
Depends: R (>= 3.0.0)
Imports: graphics, utils
LazyData: yes
Suggests: mapproj (>= 1.2-0), mapdata (>= 2.3.0), sp, maptools,
        rnaturalearth
License: GPL-2
Maintainer: Alex Deckmyn <alex.deckmyn@meteo.be>
NeedsCompilation: yes
Repository: CRAN
Packaged: 2018-04-03 07:33:40 UTC; dalex
Date/Publication: 2018-04-03 08:24:49 UTC

=== debian/changelog ===
r-cran-maps (3.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11
  * Secure URI in watch file
  * Testsuite: autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Wed, 04 Apr 2018 21:50:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Chris Lawrence <lawrencc@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                r-base-dev (>= 3.0),
                dh-r
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/r-cran-maps.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-maps.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/science-team/r-cran-maps
+Vcs-Git: https://salsa.debian.org/science-team/r-cran-maps.git
 Homepage: http://cran.r-project.org/package=maps
 
 Package: r-cran-maps

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/maps_@ANY_VERSION@@ARCHIVE_EXT@

## r-cran-maps 3.4.0

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 3.4.0
Date: 2021-09-25
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg.
        Enhancements by Thomas P Minka and Alex Deckmyn.
Description: Display of maps.  Projection code and larger maps are in
             separate packages ('mapproj' and 'mapdata').
Depends: R (>= 3.5.0)
Imports: graphics, utils
LazyData: yes
Suggests: mapproj (>= 1.2-0), mapdata (>= 2.3.0), sp, rnaturalearth
License: GPL-2
Maintainer: Alex Deckmyn <alex.deckmyn@meteo.be>
NeedsCompilation: yes
Repository: CRAN
Packaged: 2021-09-25 20:13:49 UTC; alex
Date/Publication: 2021-09-25 20:40:03 UTC

=== debian/changelog ===
r-cran-maps (3.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Sep 2021 17:06:51 +0200

r-cran-maps (3.3.0-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 04 Sep 2020 09:58:17 +0200

r-cran-maps (3.3.0-2) unstable; urgency=medium

  * Team upload.
  * Maintainer: Debian R Packages Maintainers
  * Standards-Version: 4.2.1
  * Fix VCS fields.
  * Secure Homepage.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 10 Dec 2018 17:23:49 +0100

=== debian/control ===
Source: r-cran-maps
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Chris Lawrence <lawrencc@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-maps
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-maps.git
Homepage: https://cran.r-project.org/package=maps
Rules-Requires-Root: no

Package: r-cran-maps
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R support for producing geographic maps
 This package provides facilities for easily producing maps based on
 data sets in the GNU R statistical computing environment.
 .
 The r-cran-maps package includes map data for the United States
 (including state and county-level maps), New Zealand, and a world
 map; additional maps (including a higher-resolution world map) are
 available in the suggested r-cran-mapdata package.
 .
 The suggested r-cran-mapproj package adds facilities for calculating
 geographic projections, which are used by mapmakers to compensate for
 the inaccuracies inherent in projecting a spheroid's surface onto a
 two-dimensional plane.

## r-cran-maps 3.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: maps
 Title: Draw Geographical Maps
-Version: 3.4.0
-Date: 2021-09-25
+Version: 3.4.1
+Date: 2022-10-29
 Author: Original S code by Richard A. Becker and Allan R. Wilks.
 	R version by Ray Brownrigg.
         Enhancements by Thomas P Minka and Alex Deckmyn.
@@ -15,5 +15,5 @@
 Maintainer: Alex Deckmyn <alex.deckmyn@meteo.be>
 NeedsCompilation: yes
 Repository: CRAN
-Packaged: 2021-09-25 20:13:49 UTC; alex
-Date/Publication: 2021-09-25 20:40:03 UTC
+Packaged: 2022-10-29 22:58:49 UTC; alex
+Date/Publication: 2022-10-30 23:27:38 UTC

=== debian/changelog ===
r-cran-maps (3.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Disable reprotest
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 04 Nov 2022 11:50:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-maps
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Chris Lawrence <lawrencc@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-maps
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-maps.git
+Homepage: https://cran.r-project.org/package=maps
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-maps
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-maps.git
-Homepage: https://cran.r-project.org/package=maps
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-maps
 Architecture: any

## r-cran-maps 3.4.2

=== debian/changelog ===
r-cran-maps (3.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jan 2024 22:34:41 +0100

r-cran-maps (3.4.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 10 Nov 2023 20:55:36 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-maps
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-maps.git
 Homepage: https://cran.r-project.org/package=maps
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-maps 3.4.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: maps
 Title: Draw Geographical Maps
-Version: 3.4.1
-Date: 2022-10-29
+Version: 3.4.2.1
+Date: 2023-12-14
 Author: Original S code by Richard A. Becker and Allan R. Wilks.
 	R version by Ray Brownrigg.
         Enhancements by Thomas P Minka and Alex Deckmyn.
@@ -15,5 +15,5 @@
 Maintainer: Alex Deckmyn <alex.deckmyn@meteo.be>
 NeedsCompilation: yes
 Repository: CRAN
-Packaged: 2022-10-29 22:58:49 UTC; alex
-Date/Publication: 2022-10-30 23:27:38 UTC
+Packaged: 2024-11-10 08:55:52 UTC; ripley
+Date/Publication: 2024-11-10 11:14:34 UTC

=== debian/changelog ===
r-cran-maps (3.4.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 14 Feb 2025 13:48:42 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-maps
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-maps.git
 Homepage: https://cran.r-project.org/package=maps
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-maps 3.4.3

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 3.4.3
Date: 2025-05-15
Description: Display of maps.  Projection code and larger maps are in
             separate packages ('mapproj' and 'mapdata').
Depends: R (>= 3.5.0)
Imports: graphics, utils
LazyData: yes
Suggests: mapproj (>= 1.2-0), mapdata (>= 2.3.0), sf, rnaturalearth
License: GPL-2
URL: https://github.com/adeckmyn/maps
BugReports: https://github.com/adeckmyn/maps/issues
Authors@R: c(person(given  = c("Richard", "A."),
                    family = "Becker",
                    role   = "aut",
                    comment= "Original S code"),
             person(given  = c("Allan", "R."),
                    family = "Wilks",
                    role   = "aut",
                    comment= "Original S code"),
             person(given  = "Ray",
                    family = "Brownrigg",
                    role   = c("trl", "aut"),
                    comment= "R version"),
             person(given  = c("Thomas", "P."),
                    family = "Minka",
                    role   = "aut",
                    comment= "Enhancements"),
             person(given  = "Alex",
                    family = "Deckmyn",
                    role   = c("aut", "cre"),
                    comment= c(ORCID="0009-0002-2010-8310"),
                    email  = "alex.deckmyn@meteo.be"))
NeedsCompilation: yes
Repository: CRAN
Packaged: 2025-05-19 08:35:55 UTC; alex
Author: Richard A. Becker [aut] (Original S code),
  Allan R. Wilks [aut] (Original S code),
  Ray Brownrigg [trl, aut] (R version),
  Thomas P. Minka [aut] (Enhancements),
  Alex Deckmyn [aut, cre] (ORCID:
    <https://orcid.org/0009-0002-2010-8310>)
Maintainer: Alex Deckmyn <alex.deckmyn@meteo.be>
Date/Publication: 2025-05-26 17:40:02 UTC

=== debian/changelog ===
r-cran-maps (3.4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 16 Jan 2026 11:45:11 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: r-cran-maps
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Chris Lawrence <lawrencc@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-maps
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-maps.git
 Homepage: https://cran.r-project.org/package=maps
-Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-maps
 Architecture: any
